## okteta 0.26.23+p24.04+vunstable+git20251130.0203

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Okteta VERSION 0.26.60)

set(REQUIRED_KF_VERSION "6.20.0")
find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# ECM macros
include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMDeprecationSettings)
# CMake macros
include(FeatureSummary)
include(CMakeDependentOption)
if(BUILD_TESTING)
    include(ECMAddTests)
endif()
# Okteta macros
include(OktetaInternalMacros)

# control build scope, default to examples if BUILD_TESTING is ON
if( NOT DEFINED OMIT_EXAMPLES AND NOT BUILD_TESTING )
    set( OMIT_EXAMPLES TRUE )
endif()
if( NOT DEFINED OMIT_INTERNAL_TEMPLATES AND NOT BUILD_TESTING )
    set( OMIT_INTERNAL_TEMPLATES TRUE )
endif()

if( NOT OMIT_EXAMPLES )
    set( OKTETA_BUILD_EXAMPLES TRUE )
endif()
if( NOT OMIT_INTERNAL_TEMPLATES )
    set( KASTEN_BUILD_INTERNAL_TEMPLATES TRUE )
endif()

option(BUILD_DESIGNERPLUGIN "Build the Designer plugin." ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Qt Designer plugin")
option(BUILD_OKTETAKASTENLIBS "Build the Okteta Kasten libraries." ON)
add_feature_info(OKTETAKASTENLIBS ${BUILD_OKTETAKASTENLIBS} "Okteta Kasten libraries")

cmake_dependent_option(BUILD_KPARTSPLUGIN "Build the KParts plugin." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(KPARTSPLUGIN ${BUILD_KPARTSPLUGIN} "KParts plugin")
cmake_dependent_option(BUILD_DESKTOPPROGRAM "Build the program." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(DESKTOPPROGRAM ${BUILD_DESKTOPPROGRAM} "Program")

set(REQUIRED_QT_VERSION "6.8.0")
set(ADDITIONAL_REQUIRED_QT_COMPONENTS)
if(BUILD_TESTING)
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
endif()
if( BUILD_DESIGNERPLUGIN )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS UiPlugin)
endif()
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS
        Network
        PrintSupport
        Qml
        Xml
    )
    if(BUILD_STRUCTURESTOOL)
        list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS
            Script
            ScriptTools
        )
    endif()
endif()
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
    COMPONENTS
    Core
    Core5Compat # QLinkedList
    Widgets
    ${ADDITIONAL_REQUIRED_QT_COMPONENTS}
)

set(ADDITIONAL_REQUIRED_KF_COMPONENTS)
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Bookmarks
        Completion
        ConfigWidgets
        ItemViews
        KIO
        NewStuff
        Parts
        Service
        WidgetsAddons
        XmlGui
    )
endif()
if( BUILD_DESKTOPPROGRAM )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Crash
        DBusAddons
        DocTools
    )
endif()
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED
    COMPONENTS
    ColorScheme
    I18n
    ${ADDITIONAL_REQUIRED_KF_COMPONENTS}
)

ecm_set_disabled_deprecation_versions(
    QT 6.10
    KF 6.19
)

add_definitions(
    -DQT_ENABLE_STRICT_MODE_UP_TO=0x060A00
)

# helper libs
add_subdirectory( libs )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( doc )
endif()

set( OKTETALIBS_MAJOR_VERSION 0 )
set( OKTETALIBS_MINOR_VERSION 11 )
set( OKTETALIBS_PATCHLEVEL_VERSION 0 )
set( OKTETALIBS_VERSION "${OKTETALIBS_MAJOR_VERSION}.${OKTETALIBS_MINOR_VERSION}.${OKTETALIBS_PATCHLEVEL_VERSION}" )
set( OKTETALIBS_ABI_VERSION 4 )

set( OKTETALIBS_LIB_SOVERSION 0 )
set( OKTETALIBS_LIB_VERSION ${OKTETALIBS_VERSION} )

# Okteta libs
add_subdirectory( core )
add_subdirectory( gui )

if( BUILD_DESIGNERPLUGIN )
    add_subdirectory( designer )
endif()

# Okteta Kasten components
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( kasten )
endif()
# special mimetypes
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( mimetypes )
endif()

# programs and parts for desktop
add_subdirectory( parts )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( program )
endif()

ki18n_install(po)

if( BUILD_DESKTOPPROGRAM )
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT OKTETA
    FILE okteta.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
set(OKTETACORE_VERSION ${OKTETALIBS_LIB_VERSION})
set(OKTETACORE_SO_VERSION ${OKTETALIBS_LIB_SOVERSION})

okteta_add_library(Core NAMESPACE Okteta
    PUBLIC
        Qt6::Core
        Qt6::Core5Compat # QLinkedList
    PRIVATE
        KF6::I18n
    VERSION     ${OKTETACORE_VERSION}
    SOVERSION   ${OKTETACORE_SO_VERSION}
    ABIVERSION  ${OKTETALIBS_ABI_VERSION}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    KI18N_TRANSLATION_DOMAIN "liboktetacore"
)

macro(OKTETACORE_SOURCES)
    okteta_library_sources(Core NAMESPACE Okteta
        ${ARGN}
    )
endmacro()

ecm_qt_declare_logging_category(OktetaCore
    HEADER "logging.hpp"
    IDENTIFIER "LOG_OKTETA_CORE"
    CATEGORY_NAME "okteta.core"
    DESCRIPTION "Okteta Core library"
    EXPORT OKTETA
)

macro(OKTETACORE_ADD_SUBLIBRARY _library_name)
    okteta_add_sublibrary(Core NAMESPACE Okteta
        SUBLIBRARY ${_library_name}
        ${ARGN}
    )
endmacro()

macro(OKTETACORE_SUBLIBRARY_SOURCES _library_name)
    okteta_sublibrary_sources(Core NAMESPACE Okteta
        SUBLIBRARY ${_library_name}
        ${ARGN}
    )
endmacro()

oktetacore_add_sublibrary(OktetaCoreTypes
    PUBLIC
        Qt6::Core
    PRIVATE
        KF6::I18n
        Qt6::Core5Compat # QLinkedList
    KI18N_TRANSLATION_DOMAIN "liboktetacore"
)

oktetacore_add_sublibrary(OktetaCoreBookmark
    PUBLIC
        OktetaCoreTypes
        Qt6::Core5Compat # QLinkedList
)

oktetacore_add_sublibrary(OktetaCoreCharCodecs
    PUBLIC
        OktetaCoreTypes
)

oktetacore_add_sublibrary(OktetaCoreValueCodecs
    PUBLIC
        OktetaCoreTypes
)

oktetacore_add_sublibrary(OktetaCorePieceTable
    PUBLIC
        OktetaCoreTypes
        Qt6::Core5Compat # QLinkedList
    PRIVATE
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetacore"
)

oktetacore_add_sublibrary(OktetaCoreByteArrayModels
    PUBLIC
        OktetaCoreBookmark
        OktetaCorePieceTable
)

oktetacore_sublibrary_sources(OktetaCoreTypes
    PUBLIC
        OktetaCore
        Range
        NumberRange

        Address
        AddressRange
        Size
        Byte

        ArrayChangeMetrics
        ArrayChangeMetricsList

        Character
        ByteArrayChange

    PRIVATE
        AddressRangeList
)

oktetacore_sublibrary_sources(OktetaCoreBookmark
    PUBLIC
        Bookmark
        BookmarksConstIteratorAdapter # TODO: make private or move adapter class to iterator
        BookmarksConstIterator

    PRIVATE
        BookmarkListConstIteratorAdapter
        BookmarkList
)

oktetacore_sublibrary_sources(OktetaCoreCharCodecs
    SUBDIR charcodecs
    PRIVATE
        CharCodec
        USASCIICharCodec
        EBCDIC1047CharCodec
        IBM874CharCodec
        JISX0201CharCodec
        TextCharCodec
)

oktetacore_sublibrary_sources(OktetaCoreValueCodecs
    SUBDIR valuecodecs
    PRIVATE
        BinaryByteCodec
        ValueCodec
        DecimalByteCodec
        HexadecimalByteCodec
        OctalByteCodec
)

oktetacore_sublibrary_sources(OktetaCorePieceTable
    SUBDIR piecetable
    PRIVATE
        PieceList
        PieceTable
        AbstractPieceTableChange
#           FillPieceTableChange
        InsertPieceTableChange
        RemovePieceTableChange
        ReplacePieceTableChange
        SwapRangesPieceTableChange
        GroupPieceTableChange
        PieceTableChangehistory
        RevertablePiecetable
)

oktetacore_sublibrary_sources(OktetaCoreByteArrayModels
    PUBLIC
        AbstractByteArrayModel
        Versionable
        Bookmarkable
        ChangesDescribable
        ChangeHistory

        ByteArrayModel
        #FileByteArrayModel
        PieceTableByteArrayModel

    PRIVATE
        FileByteArrayModel
        FixedSizeByteArrayModel
)

oktetacore_sources(
    PUBLIC
        TextByteArrayAnalyzer
        # TODO: both repeated here as the headers are in the toplevel-dir
        # to hide the headers of the concrete implementations from include dirs
        # Should get a better approach.
        ValueCodec
        CharCodec
)

okteta_add_cmakeconfig(Core NAMESPACE Okteta
    DEPS
        Qt6Core ${Qt6_VERSION}
        Qt6Core5Compat ${Qt6_VERSION}
)

okteta_add_qmakeconfig(Core NAMESPACE Okteta
    DEPS core core5compat
)

okteta_add_pkgconfig(Core NAMESPACE Okteta
    DEPS Qt6Core Qt6Core5Compat
    DESCRIPTION "Okteta Core"
)


if(BUILD_TESTING)
    add_subdirectory(piecetable/tests)
    add_subdirectory(tests)
endif()

=== gui/CMakeLists.txt ===
set(OKTETAGUI_VERSION ${OKTETALIBS_LIB_VERSION})
set(OKTETAGUI_SO_VERSION ${OKTETALIBS_LIB_SOVERSION})

set(LIBOKTETAWIDGETS_REL_DIR ../kasten/gui/liboktetawidgets)

okteta_add_library(Gui NAMESPACE Okteta
    PUBLIC
        OktetaCore
        Qt6::Widgets
    PRIVATE
        KF6::I18n
        KF6::ColorScheme
    VERSION     ${OKTETAGUI_VERSION}
    SOVERSION   ${OKTETAGUI_SO_VERSION}
    ABIVERSION  ${OKTETALIBS_ABI_VERSION}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    KI18N_TRANSLATION_DOMAIN "liboktetagui"
)

macro(OKTETAGUI_SOURCES)
    okteta_library_sources(Gui NAMESPACE Okteta
        ${ARGN}
    )
endmacro()

ecm_qt_declare_logging_category(OktetaGui
    HEADER "logging.hpp"
    IDENTIFIER "LOG_OKTETA_GUI"
    CATEGORY_NAME "okteta.gui"
    DESCRIPTION "Okteta Gui library"
    EXPORT OKTETA
)

okteta_add_sublibrary(Gui NAMESPACE Okteta
    SUBLIBRARY OktetaGuiColumnsView
    UNTESTED
    PUBLIC
        OktetaCore
        Qt6::Widgets
    PRIVATE
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetagui"
)

okteta_sublibrary_sources(Gui NAMESPACE Okteta
    SUBLIBRARY OktetaGuiColumnsView
    SUBDIR libcolumnsview
    BUILD_INCLUDEDIR
    PUBLIC
        AbstractColumnStylist
        AbstractColumnRenderer
        PixelMetrics # TODO: this header needs to be redone

    PRIVATE
        ColumnsViewScrollAreaEngine
)

# TODO: move to oktetacore, no longer duplicate
oktetagui_sources(
    SUBDIR ${LIBOKTETAWIDGETS_REL_DIR}
    BUILD_INCLUDEDIR
    PRIVATE
        ByteArrayChar8StringDecoder
        ByteArrayValueStringDecoder
)

oktetagui_sources(
    SUBDIR controller
    PRIVATE
        AbstractController
        AbstractMouseController
        AbstractWheelController
        AbstractEditor
        KeyNavigator
        TabController
        ClipboardController
        UndoRedoController
        CharEditor
        ValueEditor
        MouseNavigator
        MousePaster
        TapNavigator
        # Dragger
        ZoomWheelController
        ZoomPinchController
        Dropper

        TouchOnlyTapAndHoldGesture
        TouchOnlyTapAndHoldGestureRecognizer
)

oktetagui_sources(
    PUBLIC
        OktetaGui

        LinePosition
        Line
        LinePositionRange
        LineRange

        Coord
        CoordRange
        CoordRangeList
        Selection

        AbstractByteArrayColumnRenderer
        CharByteArrayColumnRenderer
        ValueByteArrayColumnRenderer
        ByteArrayRowColumnRenderer
        OffsetColumnRenderer
        BorderColumnRenderer

        AbstractByteArrayView
        ByteArrayColumnView

        OffsetFormat
        ByteArrayTableRanges
        ByteArrayRowView
        ByteArrayTableLayout
        WidgetColumnStylist

    PRIVATE
        ByteArrayTableCursor
        Cursor
        FontScalingZoomState
)

okteta_add_cmakeconfig(Gui NAMESPACE Okteta
    DEPS
        OktetaCore
        Qt6Widgets ${Qt6_VERSION}
)

okteta_add_qmakeconfig(Gui NAMESPACE Okteta
    DEPS OktetaCore widgets
)

okteta_add_pkgconfig(Gui NAMESPACE Okteta
    DEPS OktetaCore Qt6Widgets
    DESCRIPTION "Okteta Gui"
)

if(BUILD_TESTING)
    add_subdirectory(tests)
#   add_library( testoktetacore STATIC ${oktetagui_LIB_SRCS} )
endif()

=== kasten/CMakeLists.txt ===
set( KASTEN_LIB_VERSION 0.5.0 )
set( KASTEN_ABI_VERSION 5 )

set( OKTETAKASTEN_MAJOR_VERSION 0 )
set( OKTETAKASTEN_MINOR_VERSION 5 )
set( OKTETAKASTEN_PATCHLEVEL_VERSION 0 )
set( OKTETAKASTEN_VERSION "${OKTETAKASTEN_MAJOR_VERSION}.${OKTETAKASTEN_MINOR_VERSION}.${OKTETAKASTEN_PATCHLEVEL_VERSION}" )
set( OKTETAKASTEN_ABI_VERSION 3 )

set( OKTETAKASTEN_LIB_SOVERSION 0 )
set( OKTETAKASTEN_LIB_VERSION ${OKTETAKASTEN_VERSION} )

find_package(BZip2 1.0)
set_package_properties(BZip2 PROPERTIES
    TYPE REQUIRED
    PURPOSE "BZip2 compressed stream encoding"
)

find_package(LibLZMA)
set_package_properties(LibLZMA PROPERTIES
    TYPE REQUIRED
    PURPOSE "xz compressed stream encoding"
)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
    TYPE REQUIRED
    PURPOSE "gzip/deflate compressed stream encoding"
)

find_package(zstd 1.4)
set_package_properties(zstd PROPERTIES
    TYPE REQUIRED
    PURPOSE "zstd compressed stream encoding"
)

add_subdirectory( core )
add_subdirectory( gui )
add_subdirectory( controllers )

=== gui/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

add_library(OktetaGuiSourcesTestShim INTERFACE)
target_include_directories(OktetaGuiSourcesTestShim INTERFACE
    ${SUTDIR}
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
# Configure export macros to be setup as with a static lib
# as the source files are reused for the tests.
# Saves doing a separate export header.
target_compile_definitions(OktetaGuiSourcesTestShim INTERFACE
    -DOKTETAGUI_STATICLIB
)

ecm_add_test(
    selectiontest.cpp
    TEST_NAME selectiontest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim OktetaCore Qt6::Test
)

ecm_add_test(
    coordtest.cpp
    TEST_NAME coordtest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim OktetaCore Qt6::Test
)

ecm_add_test(
    coordrangetest.cpp
    TEST_NAME coordrangetest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim OktetaCore Qt6::Test
)

ecm_add_test(
    ${SUTDIR}/coordrangelist.cpp
    coordrangelisttest.cpp
    TEST_NAME coordrangelisttest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim OktetaCore Qt6::Test
)

ecm_add_test(
    ${SUTDIR}/bytearraytablelayout.cpp
    bytearraytablelayouttest.cpp
    TEST_NAME bytearraytablelayouttest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim OktetaCore Qt6::Test
)

ecm_add_test(
    ${SUTDIR}/bytearraytablecursor.cpp
    ${SUTDIR}/bytearraytablelayout.cpp
    bytearraytablecursortest.cpp
    TEST_NAME bytearraytablecursortest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim OktetaCore Qt6::Test
)

ecm_add_test(
    ${SUTDIR}/fontscalingzoomstate.cpp
    fontscalingzoomstatetest.cpp
    TEST_NAME fontscalingzoomstatetest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGuiSourcesTestShim Qt6::Gui Qt6::Test
)

ecm_add_test(
    abstractbytearrayviewiftest.cpp
    bytearrayrowviewabstractbytearrayviewiftest.cpp
    TEST_NAME bytearrayrowviewabstractbytearrayviewiftest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGui Qt6::Test
)

ecm_add_test(
    abstractbytearrayviewiftest.cpp
    bytearraycolumnviewabstractbytearrayviewiftest.cpp
    TEST_NAME bytearraycolumnviewabstractbytearrayviewiftest
    NAME_PREFIX libokteta-gui-
    LINK_LIBRARIES OktetaGui Qt6::Test
)

=== kasten/controllers/CMakeLists.txt ===
set(OKTETAKASTENCONTROLLERS_VERSION ${OKTETAKASTEN_LIB_VERSION})
set(OKTETAKASTENCONTROLLERS_SO_VERSION ${OKTETAKASTEN_LIB_SOVERSION})

okteta_add_library(Controllers NAMESPACE Okteta Kasten
    PUBLIC
        OktetaKastenGui
        OktetaKastenCore
        KastenGui
        KastenCore
    PRIVATE
        OktetaFramesPrint
        KF6::NewStuffWidgets
        KF6::I18n
        KF6::ConfigWidgets
        KF6::ItemViews
        KF6::ColorScheme
        KF6::Completion
        KF6::KIOCore
        Qt6::PrintSupport
        Qt6::Xml
#         Qt6::Test # QAbstractItemModelTester
    VERSION     ${OKTETAKASTENCONTROLLERS_VERSION}
    SOVERSION   ${OKTETAKASTENCONTROLLERS_SO_VERSION}
    ABIVERSION  ${OKTETAKASTEN_ABI_VERSION} ${KASTEN_ABI_VERSION}
    NO_VERSIONED_INCLUDEDIR
    REVERSE_NAMESPACE_INCLUDEDIR
    REVERSE_NAMESPACE_LIB
    NO_TARGET_NAMESPACE
    KI18N_TRANSLATION_DOMAIN "liboktetakasten"
)

ecm_qt_declare_logging_category(OktetaKastenControllers
    HEADER "checksumlogging.hpp"
    IDENTIFIER "LOG_OKTETA_KASTEN_CONTROLLER_CHECKSUM"
    CATEGORY_NAME "kasten.okteta.controllers.checksum"
    DESCRIPTION "Okteta Checksum tool"
    EXPORT OKTETA
)

macro(OKTETAKASTENCONTROLLERS_SOURCES)
    okteta_library_sources(Controllers NAMESPACE Okteta Kasten
        REVERSE_NAMESPACE_INCLUDEDIR
        ${ARGN}
    )
endmacro()

macro(OKTETAKASTENCONTROLLERS_ADD_SUBLIBRARY _library_name)
    okteta_add_sublibrary(Controllers NAMESPACE Okteta Kasten
        SUBLIBRARY ${_library_name}
        ${ARGN}
    )
endmacro()

macro(OKTETAKASTENCONTROLLERS_SUBLIBRARY_SOURCES _library_name)
    okteta_sublibrary_sources(Controllers NAMESPACE Okteta Kasten
        REVERSE_NAMESPACE_INCLUDEDIR
        SUBLIBRARY ${_library_name}
        ${ARGN}
    )
endmacro()

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersConfigEntries
    NO_EXPORTS
    PUBLIC
        OktetaKastenGui
        KF6::ConfigCore
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersDataTypes
    NO_EXPORTS
    PUBLIC
        OktetaGui
    PRIVATE
        KF6::Completion
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersDataTypeCodecs
    NO_EXPORTS
    PUBLIC
        OktetaKastenControllersDataTypes
    PRIVATE
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetakasten"
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersDataTypeDisplayStringifiers
    NO_EXPORTS
    PUBLIC
        OktetaKastenControllersDataTypes
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersDataTypeEditors
    NO_EXPORTS
    PUBLIC
        OktetaKastenControllersDataTypes
    PRIVATE
        KF6::Completion
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersByteArrayChecksum
    NO_EXPORTS
    PUBLIC
        OktetaCore
        Qt6::Widgets
    PRIVATE
        OktetaKastenControllersConfigEntries
        KF6::Completion
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetakasten"
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersByteArrayFilter
    NO_EXPORTS
    PUBLIC
        OktetaCore
        Qt6::Widgets
    PRIVATE
        OktetaKastenControllersConfigEntries
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetakasten"
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersFindDialog
    NO_EXPORTS
    PUBLIC
        OktetaKastenGui
    PRIVATE
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetakasten"
)

oktetakastencontrollers_add_sublibrary(OktetaKastenControllersByteArraySearch
    NO_EXPORTS
    PUBLIC
        OktetaKastenControllersFindDialog
)

if(BUILD_STRUCTURESTOOL)
oktetakastencontrollers_add_sublibrary(OktetaKastenControllersStructuresDataTypes
    NO_EXPORTS
    PUBLIC
        OktetaCore
        KF6::ConfigGui
        Qt6::Script
    PRIVATE
        OktetaKastenControllersConfigEntries
        OktetaKastenControllersDataTypeEditors
        KF6::ColorScheme
        KF6::Completion
        KF6::I18n
    KI18N_TRANSLATION_DOMAIN "liboktetakasten"
)

# ecm_qt_declare_logging_category(structuresdatatypes
okteta_qt_declare_logging_category(Controllers NAMESPACE Okteta Kasten
    SUBLIBRARY OktetaKastenControllersStructuresDataTypes
    HEADER "structureslogging.hpp"
    IDENTIFIER "LOG_KASTEN_OKTETA_CONTROLLERS_STRUCTURES"
    CATEGORY_NAME "kasten.okteta.controllers.structures"
    DESCRIPTION "Okteta Structures tool"
    EXPORT OKTETA
)
endif()

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersConfigEntries
    SUBDIR libconfigentries
    BUILD_INCLUDEDIR
    SUBPUBLIC
        AddressComboBoxCodingConfigEntry
        ByteArrayCodingConfigEntry
        ByteArrayComboBoxCodingConfigEntry
        CaseSensitivityConfigEntry
        DirectionConfigEntry
        EndiannessConfigEntry
        FindDirectionConfigEntry
)

oktetakastencontrollers_sources(
    SUBDIR document/info
    PUBLIC
        DocumentInfoToolFactory
        DocumentInfoToolViewFactory
    PRIVATE
        ByteArrayModelIoDevice
        DocumentInfoView
        DocumentInfoTool
        DocumentInfoToolView
)

# unused, TODO: remove?
if (FALSE)
oktetakastencontrollers_sources(
    SUBDIR document/overwriteonly
    PUBLIC
        OverwriteOnlyControllerFactory
    PRIVATE
        OverwriteOnlyController
)
endif()

oktetakastencontrollers_sources(
    SUBDIR view/overwritemode
    PUBLIC
        OverwriteModeControllerFactory
    PRIVATE
        OverwriteModeController
)
oktetakastencontrollers_sources(
    SUBDIR view/info
    PUBLIC
        InfoToolFactory
        InfoToolViewFactory
    PRIVATE
        CreateStatisticJob
        StatisticDisplayModel
        StatisticTableModel
        InfoView
        InfoTool
        InfoToolView
    KCFG
        infoviewsettings.kcfgc
)

oktetakastencontrollers_sources(
    SUBDIR view/stringsextract
    PUBLIC
        StringsExtractToolFactory
        StringsExtractToolViewFactory
    PRIVATE
        ExtractStringsJob
        ContainedStringTableModel
        StringsExtractView
        ContainedString
        StringsExtractTool
        StringsExtractToolView
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersByteArrayChecksum
    SUBDIR view/libbytearraychecksum
    BUILD_INCLUDEDIR
    SUBPUBLIC
        AbstractByteArrayChecksumAlgorithm
        AbstractByteArrayChecksumParameterSet
        AbstractByteArrayChecksumParameterSetEdit
        ByteArrayChecksumAlgorithmFactory
        ByteArrayChecksumParameterSetEditFactory
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersByteArrayChecksum
    SUBDIR view/libbytearraychecksum/algorithm
    PRIVATE
        Crc32ByteArrayChecksumAlgorithm
        Crc64ByteArrayChecksumAlgorithm
        Adler32ByteArrayChecksumAlgorithm
        ModSum8ByteArrayChecksumAlgorithm
        ModSum16ByteArrayChecksumAlgorithm
        ModSum32ByteArrayChecksumAlgorithm
        ModSum64ByteArrayChecksumAlgorithm
        QCryptographicByteArrayChecksumAlgorithm
## NEWCHECKSUM(start)
## Here add the names of your classes of your checksum algorithm,
## e.g.
##         MyByteArrayChecksumAlgorithm
## NEWCHECKSUM(end)
        NoByteArrayChecksumParameterSet
        NoByteArrayChecksumParameterSetEdit
        ModSumByteArrayChecksumParameterSet
        ModSumByteArrayChecksumParameterSetEdit
        Crc64ByteArrayChecksumParameterSet
        Crc64ByteArrayChecksumParameterSetEdit
## NEWCHECKSUMPARAMETERSET(start)
## Here add the names of your classes of your checksum parameter set and
## of the widget to edit the checksum parameter set,
## e.g.
##         MyByteArrayChecksumParameterSet
##         MyByteArrayChecksumParameterSetEdit
## NEWCHECKSUMPARAMETERSET(end)
)

oktetakastencontrollers_sources(
    SUBDIR view/checksum
    PUBLIC
        ChecksumToolFactory
        ChecksumToolViewFactory
    PRIVATE
        ChecksumCalculateJob
        ChecksumView
        ChecksumTool
        ChecksumToolView
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersFindDialog
    SUBDIR view/libfinddialog
    BUILD_INCLUDEDIR
    SUBPUBLIC
        AbstractFindDialog
        FindDirection
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersByteArraySearch
    SUBDIR view/libbytearraysearch
    BUILD_INCLUDEDIR
    SUBPUBLIC
        ByteArraySearchJob
        ByteArraySearchUtils
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersDataTypes
    SUBDIR view/libdatatypes
    BUILD_INCLUDEDIR
    SUBPUBLIC
        Binary8
        Octal8
        Hexadecimal8
        UInt8
        UInt16
        UInt32
        UInt64
        SInt8
        SInt16
        SInt32
        SInt64
        Float32
        Float64
        Char8
        Utf8
        Utf16
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersDataTypeDisplayStringifiers
    SUBDIR view/libdatatypedisplaystringifiers
    BUILD_INCLUDEDIR
    SUBPUBLIC
        AbstractDataTypeDisplayStringifier
        DataTypeDisplayStringifierManager
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersDataTypeEditors
    SUBDIR view/libdatatypeeditors
    BUILD_INCLUDEDIR
    SUBPUBLIC
        AbstractValue8Editor
        Binary8Editor
        Octal8Editor
        Hexadecimal8Editor
        UIntSpinBox
        SIntSpinBox
        Float32Editor
        Float64Editor
        Char8Editor
        Char8StringParser
        Char8StringValidator
        Utf8Editor
        Utf16Editor
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersDataTypeCodecs
    SUBDIR view/libdatatypecodecs
    BUILD_INCLUDEDIR
    SUBPUBLIC
        PODData
        AbstractTypeCodec
        Binary8Codec
        Octal8Codec
        Hexadecimal8Codec
        UInt8Codec
        UInt16Codec
        UInt32Codec
        UInt64Codec
        SInt8Codec
        SInt16Codec
        SInt32Codec
        SInt64Codec
        Float32Codec
        Float64Codec
        Char8Codec
        Utf8Codec
        Utf16Codec
)

oktetakastencontrollers_sources(
    SUBDIR view/poddecoder
    PUBLIC
        PODDecoderToolFactory
        PODDecoderToolViewFactory
    PRIVATE
        PODDisplayModel
        PODTableModel
        PODDelegate
        PODTableView
        PODDecoderTool
        PODDecoderToolView
)

oktetakastencontrollers_sources(
    SUBDIR view/bytetable
    PUBLIC
        ByteTableToolFactory
        ByteTableToolViewFactory
    PRIVATE
        ByteTableModel
        ByteTableView
        ByteTableTool
        ByteTableToolView
    KCFG
        bytetableviewsettings.kcfgc
)

oktetakastencontrollers_sources(
    SUBDIR view/crop
    PUBLIC
        CropControllerFactory
    PRIVATE
        CropController
)

oktetakastencontrollers_sources(
    SUBDIR view/search
    PUBLIC
        SearchControllerFactory
    PRIVATE
        SearchUserQueryable
        SearchDialog
        SearchTool
        SearchController
)

oktetakastencontrollers_sources(
    SUBDIR view/replace
    PUBLIC
        ReplaceControllerFactory
    PRIVATE
        ReplaceUserQueryable
        ReplaceController
        ReplaceDialog
        ReplacePrompt
        ReplaceJob
        ReplaceTool
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersByteArrayFilter
    SUBDIR view/libbytearrayfilter
    BUILD_INCLUDEDIR
    SUBPUBLIC
        AbstractByteArrayFilter
        AbstractByteArrayFilterParameterSet
        AbstractByteArrayFilterParameterSetEdit
        ByteArrayFilterFactory
        ByteArrayFilterParameterSetEditFactory
)

oktetakastencontrollers_sublibrary_sources(OktetaKastenControllersByteArrayFilter
    SUBDIR view/libbytearrayfilter/filter
    PRIVATE
        NoByteArrayFilterParameterSet
        OperandByteArrayFilterParameterSet
        ReverseByteArrayFilterParameterSet
        RotateByteArrayFilterParameterSet
## NEWFILTERPARAMETERSET(start)
## Here add the names of your classes of your filter parameter set,
## e.g.
##         MyByteArrayFilterParameterSet
## NEWFILTERPARAMETERSET(end)
        AndByteArrayFilter
        OrByteArrayFilter
        XorByteArrayFilter

=== libs/kasten/CMakeLists.txt ===
set( KASTEN_MAJOR_VERSION 0 )
set( KASTEN_MINOR_VERSION 5 )
set( KASTEN_PATCHLEVEL_VERSION 0 )
set( KASTEN_VERSION "${KASTEN_MAJOR_VERSION}.${KASTEN_MINOR_VERSION}.${KASTEN_PATCHLEVEL_VERSION}" )
set( KASTEN_ABI_VERSION 5 )

set( KASTEN_LIB_SOVERSION 0 )
set( KASTEN_LIB_VERSION ${KASTEN_VERSION} )

add_subdirectory( core )
add_subdirectory( gui )
add_subdirectory( controllers )

#add_subdirectory( kparts )

=== core/piecetable/tests/CMakeLists.txt ===
set( SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/../.. )

include_directories(
    ${SUTDIR}
)

add_library(OktetaCoreTestPieceTableChange STATIC
    abstractpiecetablechangeiftest.cpp
    testpiecetablechange.cpp
)
target_link_libraries(OktetaCoreTestPieceTableChange
    PUBLIC
        OktetaCorePieceTable
        Qt6::Test
)


########### piecetest ###############

ecm_add_test( piecetest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES Qt6::Test
)
target_include_directories(piecetest
    PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/../..
)

########### piecetabletest ###############

ecm_add_test( piecetabletest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### testpiecetablechangetest ###############

ecm_add_test( testpiecetablechangetest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        Qt6::Test
)

########### testpiecetablechangeabstractpiecetablechangeiftest ###############

ecm_add_test( testpiecetablechangeabstractpiecetablechangeiftest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### insertpiecetablechangeabstractpiecetablechangeiftest ###############

ecm_add_test( insertpiecetablechangeabstractpiecetablechangeiftest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### removepiecetablechangeabstractpiecetablechangeiftest ###############

ecm_add_test( removepiecetablechangeabstractpiecetablechangeiftest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### replacepiecetablechangeabstractpiecetablechangeiftest ###############

ecm_add_test( replacepiecetablechangeabstractpiecetablechangeiftest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### swaprangespiecetablechangeabstractpiecetablechangeiftest ###############

ecm_add_test( swaprangespiecetablechangeabstractpiecetablechangeiftest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### grouppiecetablechangeabstractpiecetablechangeiftest ###############

# grouped changes break some assumptions and got workarounds, so disable for now
if(IWILLPICKUPWORKONOKTETACORE)
ecm_add_test( grouppiecetablechangeabstractpiecetablechangeiftest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)
endif()

########### grouppiecetablechangetest ###############

ecm_add_test( grouppiecetablechangetest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### piecetablechangehistorytest ###############

ecm_add_test( piecetablechangehistorytest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCoreTestPieceTableChange
        OktetaCorePieceTable
        Qt6::Test
)

########### revertablepiecetabletest ###############

ecm_add_test( revertablepiecetabletest.cpp
    NAME_PREFIX "libpiecetable-"
    LINK_LIBRARIES
        OktetaCorePieceTable
        Qt6::Test
)

=== libs/kasten/core/tests/CMakeLists.txt ===
########### util ###############

add_library(KastenCoreTestUtil STATIC)
target_sources(KastenCoreTestUtil
    PRIVATE
        util/filesystem.cpp
)
target_link_libraries(KastenCoreTestUtil
    PUBLIC
        Qt6::Core
    PRIVATE
        Qt6::Core5Compat
        Qt6::Test
)

########### io ###############

add_library(KastenCoreTestIo STATIC)
target_link_libraries(KastenCoreTestIo
    PUBLIC
        KastenCore
    PRIVATE
        KF6::CoreAddons
)
target_sources(KastenCoreTestIo
    PRIVATE
        testdocumentfileloadthread.cpp
        testdocumentfilereloadthread.cpp
        testdocumentfilewritethread.cpp
        testdocumentfileloadjob.cpp
        testdocumentfileconnectjob.cpp
        testdocumentfilewritejob.cpp
        testdocumentfilereloadjob.cpp
        testdocumentfilewritetojob.cpp
)

########### testdocumenttest ###############

ecm_add_test(
    testdocument.cpp
    testdocumenttest.cpp
    TEST_NAME testdocumenttest
    NAME_PREFIX libkasten-core-
    LINK_LIBRARIES
        KastenCore
        Qt6::Test
)

########### testdocumentfilesynchronizertest ###############

ecm_add_test(
    testdocument.cpp
    testdocumentfilesynchronizer.cpp
    testdocumentfilesynchronizertest.cpp
    TEST_NAME testdocumentfilesynchronizertest
    NAME_PREFIX libkasten-core-
    LINK_LIBRARIES
        KastenCoreTestIo
        KastenCoreTestUtil
        KastenCore
        Qt6::Test
)

############ testdocumentfilesynchronizerfactorytest ###############

ecm_add_test(
    testdocument.cpp
    testdocumentfilesynchronizer.cpp
    testdocumentfilesynchronizerfactory.cpp
    testdocumentfilesynchronizerfactorytest.cpp
    TEST_NAME testdocumentfilesynchronizerfactorytest
    NAME_PREFIX libkasten-core-
    LINK_LIBRARIES
        KastenCoreTestIo
        KastenCoreTestUtil
        KastenCore
        Qt6::Test
)

########### documentmanagertest ###############

ecm_add_test(
    testdocument.cpp
    documentmanagertest.cpp
    TEST_NAME documentmanagertest
    NAME_PREFIX libkasten-core-
    LINK_LIBRARIES
        KastenCore
        Qt6::Test
)

=== kasten/controllers/view/libdatatypeeditors/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

ecm_add_test(
    ${SUTDIR}/char8stringvalidator.cpp
    ${SUTDIR}/char8stringparser.cpp
    char8stringvalidatortest.cpp

    TEST_NAME char8stringvalidatortest
    NAME_PREFIX oktetakasten-controllers-libdatatypeeditors-
    LINK_LIBRARIES
        OktetaCore
        Qt6::Gui
        Qt6::Test
)
target_include_directories(char8stringvalidatortest
    PUBLIC
        ${SUTDIR}
)

=== kasten/controllers/view/replace/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

ecm_add_test(
    ${SUTDIR}/replacejob.cpp
    replacejobtest.cpp

    TEST_NAME replacejobtest
    NAME_PREFIX oktetakasten-controllers-replace-
    LINK_LIBRARIES
        OktetaKastenControllersByteArraySearch
        OktetaKastenGui
        OktetaKastenCore
        Qt6::Test
)
target_include_directories(replacejobtest
    PUBLIC
        ${SUTDIR}
)

=== kasten/controllers/view/structures/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/../parsers)

ecm_add_tests(
    primitivearraytest.cpp
    arraydatainformationtest.cpp
    basicdatainformationtest.cpp
    scriptclassestest.cpp
    uniondatainformationtest.cpp
    allprimitivetypestest.cpp
    scriptvalueconvertertest.cpp
    commonparsertest.cpp
    jsparsertest.cpp
    customtostringtest.cpp
    locktooffsettest.cpp

    NAME_PREFIX oktetakasten-controllers-structures-
    LINK_LIBRARIES
        OktetaKastenControllersStructuresDataTypes
        Qt6::Test
)

ecm_add_test(
    primitivedatainformationtest.cpp
    NAME_PREFIX oktetakasten-controllers-structures-
    LINK_LIBRARIES
        OktetaKastenControllersStructuresDataTypes
        KF6::I18n
        Qt6::Test
)
target_compile_definitions(primitivedatainformationtest PRIVATE -DTRANSLATION_DOMAIN=\"liboktetakasten\")

ecm_add_test(
    ${SUTDIR}/abstractstructureparser.cpp
    ${SUTDIR}/osdparser.cpp
    osdparsertest.cpp

    TEST_NAME osdparsertest
    NAME_PREFIX oktetakasten-controllers-structures-
    LINK_LIBRARIES
        OktetaKastenControllersStructuresDataTypes
        KF6::I18n
        Qt6::Xml
        Qt6::Test
)
target_compile_definitions(osdparsertest PRIVATE -DTRANSLATION_DOMAIN=\"liboktetakasten\")

# remove useless default definition of QT_TESTCASE_BUILDDIR in interface from imported target Qt6::Test
get_target_property(qttestdefs Qt6::Test INTERFACE_COMPILE_DEFINITIONS)
list(FILTER qttestdefs EXCLUDE REGEX [[^QT_TESTCASE_BUILDDIR=]])
set_property(TARGET Qt6::Test PROPERTY INTERFACE_COMPILE_DEFINITIONS ${qttestdefs})
# set the definition as needed for our tests
target_compile_definitions(customtostringtest PRIVATE QT_TESTCASE_BUILDDIR="${CMAKE_CURRENT_BINARY_DIR}")
target_compile_definitions(jsparsertest       PRIVATE QT_TESTCASE_BUILDDIR="${CMAKE_CURRENT_BINARY_DIR}")
# TODO: still fragile once __FILE__ is neither absolute or full relative path to this build dir
# look into using custom code instead of simple QFINDTESTDATA usage

=== debian/changelog ===
okteta (5:0.26.23+p24.04+vunstable+git20251130.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 02:03:08 +0000

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-kparts-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libbz2-dev,
               libqca-qt6-2-dev (>= 2.1.0),
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               shared-mime-info (>= 0.30),
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/okteta.git
Vcs-Browser: https://invent.kde.org/neon/extras/okteta
Maintainer: Neon CI <neon@kde.org>

Package: libkasten5controllers0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten5core0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkasten4core0 (<< 5:0.26.0), ${kde-l10n:all}
Replaces: libkasten4core0 (<< 5:0.26.0), ${kde-l10n:all}
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten4core0
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkasten5core0, ${misc:Depends}
Description: transitional package
 transitional package which can be removed

Package: libkasten5gui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten5okteta3controllers0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten5okteta3core0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten4okteta2core0
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkasten5okteta3core0, ${misc:Depends}
Description: transitional package
 transitional package for libkasten5okteta3core0 which can be removed

Package: libkasten5okteta3gui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta4core0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta3core0
Architecture: all
Section: oldlibs
Priority: optional
Depends: libokteta4core0, ${misc:Depends}
Description: transitional package
 Transitional package for libokteta4core0

Package: libokteta4gui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta3gui0
Architecture: all
Section: oldlibs
Priority: optional
Depends: libokteta4gui0, ${misc:Depends}
Description: transitional package
 Transitional package for libokteta4gui0

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in two variants: as the numeric values of the bytes
 and as the character assigned to the values. Values and characters can be
 shown either in two columns (the traditional display in hex editors) or in
 rows with the value on top of the character. Editing can be done both for
 the values and for the characters.
 .
 Besides the usual editing capabilities Okteta also brings a small set of
 tools, like a table listing decodings into common simple data types, a table
 listing all possible bytes with their character and value equivalents, an
 info view with a statistic, a checksum calculator, a filter tool and a string
 extraction tool.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dev
Architecture: any
Section: devel
Depends: kf6-kio-dev,
         kf6-kxmlgui-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends}
Breaks: okteta (<< 5:0.25.4)
Replaces: okteta (<< 5:0.25.4)
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.
 .
 This package is part of the KDE Software Development Kit module.

## okteta 0.26.23+p24.04+vunstable+git20260102.0029

=== debian/changelog ===
okteta (5:0.26.23+p24.04+vunstable+git20260102.0029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 00:29:15 +0000

## okteta 0.26.23+p24.04+vunstable+git20260126.1008

=== debian/changelog ===
okteta (5:0.26.23+p24.04+vunstable+git20260126.1008-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 10:08:52 +0000

## okteta 0.26.23+p24.04+vunstable+git20260203.0759

=== debian/changelog ===
okteta (5:0.26.23+p24.04+vunstable+git20260203.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 07:59:24 +0000
